Rapid7 Vulnerability & Exploit Database

vCenter Server rhttpproxy bypass vulnerability (VMSA-2021-0020) (CVE-2021-22017)

Free InsightVM Trial No Credit Card Necessary
Watch Demo See how it all works
Back to Search

vCenter Server rhttpproxy bypass vulnerability (VMSA-2021-0020) (CVE-2021-22017)

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:P/I:N/A:N)
Published
09/21/2021
Created
02/03/2022
Added
01/21/2022
Modified
05/03/2022

Description

Rhttproxy as used in vCenter Server contains a vulnerability due to improper implementation of URI normalization. A malicious actor with network access to port 443 on vCenter Server may exploit this issue to bypass proxy leading to internal endpoints being accessed.

Solution(s)

  • vmware-vcenter-cve-2021-22017-upgrade-latest

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;